%global modulename browserslist

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-browserslist
Version:        4.3.4
Release:        1%{?dist}
Summary:        Share target browsers between different front-end tools, like Autoprefixer, Stylelint and babel-env-preset

License:        MIT
URL:            https://github.com/browserslist/browserslist#readme
Source0:        https://registry.npmjs.org/browserslist/-/browserslist-4.3.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(caniuse-lite) >= 1.0.30000899 with npmlib(caniuse-lite) < 2.0.0))
BuildRequires:  ((npmlib(electron-to-chromium) >= 1.3.82 with npmlib(electron-to-chromium) < 2.0.0))
BuildRequires:  ((npmlib(node-releases) >= 1.0.1 with npmlib(node-releases) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Share target browsers between different front-end tools, like Autoprefixer, Stylelint and babel-env-preset

%package 4.3.4
Summary:        Share target browsers between different front-end tools, like Autoprefixer, Stylelint and babel-env-preset


%description 4.3.4
Share target browsers between different front-end tools, like Autoprefixer, Stylelint and babel-env-preset

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr browser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr cli.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr error.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr node.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/cli.js %{buildroot}/%{_bindir}/browserslist


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{_bindir}/browserslist
%{nodejs_dir}/%{modulename}

%files 4.3.4
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 4.3.4-1
- Package automatically generated by npm2srpm
